Bug 148803 - ntpd dies due to "too many recvbuffs"
ntpd dies due to "too many recvbuffs"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 13:48 EST by Mike Iglesias
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 03:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix ntpd startup problem (325 bytes, patch)
2005-02-15 13:48 EST, Mike Iglesias
no flags Details | Diff

  None (edit)
Description Mike Iglesias 2005-02-15 13:48:22 EST
Created attachment 111099 [details]
Patch to fix ntpd startup problem
Comment 1 Mike Iglesias 2005-02-15 13:48:22 EST
Description of problem:
When starting ntpd on one of our systems, it dies repeatedly with this error:

Feb 11 10:25:41 draco ntpd[1384]: too many recvbufs allocated (40)

This system is one of our campus stratum 2 servers and talks to several stratum
1s off campus as well as several hundred systems on campus.

Version-Release number of selected component (if applicable):

4.2.0-7

How reproducible:

Start ntpd.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

ntpd dies with the above error

Expected results:


Additional info:

I found a patch that was applied to ntp-4.2.0a-20050209 (available from
ftp://ftp.udel.edu/pub/ntp/ntp4/snapshots/ntp-dev/2005/02) that fixes this
problem.  I have attached it to this bug report.  ntpd has run fine for several
days now with this patch applied.

You may want to check the ntp sources used with Fedora Core 3 as well, as this
patch may not be in those sources either.
Comment 2 Matthew Miller 2005-04-26 12:33:36 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.